# Command: GetLocalLeaves

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    GetLocalLeaves - Return IDs of all local leaves of a subnet that fulfill the
      conditions given in the dictionary, or all leaves if no dictionary given.

Synopsis:

      gid [<>]  GetLocalLeaves -> [gid1 ... gidn]

Description:

      This function does the same as GetGlobalLeaves, but returns only the
      nodes local to the MPI process executing the program.

Parameters:

      gid		- id of a subnet
      <>	- Dictionary of selection properties
      Returns:
      [gid..]	- Array with the global ids of all local leaf nodes.

Author:

    Hans Ekkehard Plesser, Abigail Morrison

SeeAlso:

- GetGlobalLeaves
- GetLocalNodes
- GetLocalChildren

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/lib/sli/nest-init.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative